package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable;
/**
 * 
 * @ClassName: TabHaobanGroupChatPlanOwnerLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:29:51
 * @Modify
 * @CopyRight 
 */
public class ChatOwnerTotalDTO implements Serializable {

    private static final long serialVersionUID = 21697825515700L;

    private Long planId;
    private String planName;
    private java.util.Date startTime;
    private java.util.Date endTime;
    private int sendCount;
    private int notSendCount;
    // 计划状态 1进行中 2已结束
    private int planStatus;
    private int execType ;

    public int getExecType() {
        return execType;
    }

    public void setExecType(int execType) {
        this.execType = execType;
    }

    public int getPlanStatus() {
        return planStatus;
    }

    public void setPlanStatus(int planStatus) {
        this.planStatus = planStatus;
    }

    public Long getPlanId() {
        return planId;
    }

    public String getPlanName() {
        return planName;
    }

    public java.util.Date getStartTime() {
        return startTime;
    }

    public java.util.Date getEndTime() {
        return endTime;
    }

    public int getSendCount() {
        return sendCount;
    }

    public int getNotSendCount() {
        return notSendCount;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public void setStartTime(java.util.Date startTime) {
        this.startTime = startTime;
    }

    public void setEndTime(java.util.Date endTime) {
        this.endTime = endTime;
    }

    public void setSendCount(int sendCount) {
        this.sendCount = sendCount;
    }

    public void setNotSendCount(int notSendCount) {
        this.notSendCount = notSendCount;
    }
}